package com.jpsoft.shinestar.modules.common.utils.Generator;

import cn.hutool.captcha.CircleCaptcha;
import cn.hutool.captcha.LineCaptcha;
import cn.hutool.captcha.ShearCaptcha;

/**
 * @author 墨鱼_mo
 * @date 2019-8-8 15:30
 */
public class CaptchaUtilA {

    public CaptchaUtilA() {
    }

    public static LineCaptcha createLineCaptcha(int width, int height) {
        return new LineCaptcha(width, height);
    }

    public static LineCaptcha createLineCaptcha(int width, int height, int codeCount, int lineCount) {
        return new LineCaptcha(width, height, codeCount, lineCount);
    }

    public static CircleCaptcha createCircleCaptcha(int width, int height) {
        return new CircleCaptcha(width, height);
    }

    public static CircleCaptchaA createCircleCaptcha(int width, int height, int codeCount, int circleCount) {
        return new CircleCaptchaA(width, height, codeCount, circleCount);
    }

    public static ShearCaptcha createShearCaptcha(int width, int height) {
        return new ShearCaptcha(width, height);
    }

    public static ShearCaptcha createShearCaptcha(int width, int height, int codeCount, int thickness) {
        return new ShearCaptcha(width, height, codeCount, thickness);
    }
}
